window.Gleam.initSearch([{"doc":"xmljson","title":"xmljson","content":"# xmljson \n\nConverts XML to JSON and vice versa. The JSON schema used is [badgerfish](http://www.sklar.com/badgerfish/). Badgerfish is used because it is mostly lossless, although there are rare cases where information could be lost in the conversion.\n\n[![Package Version](https://img.shields.io/hexpm/v/xmljson)](https://hex.pm/packages/xmljson)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/xmljson/)\n\n```sh\ngleam add xmljson@1\n```\n```gleam\nimport xmljson\n\npub fn main() {\n  let input = &quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;\n\n  let json = xmljson.to_json(input)\n  // &quot;{ \\&quot;alice\\&quot;: { \\&quot;$\\&quot; : \\&quot;bob\\&quot; } }&quot;\n  xmljson.to_xml_fragment(json)\n  // &quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;\n\n  // Multiple values become a list\n  let input = &quot;&lt;alice&gt;&lt;bob&gt;charlie&lt;/bob&gt;&lt;bob&gt;david&lt;/bob&gt;&lt;/alice&gt;&quot;\n  let json = xmljson.to_json(input)\n  // &quot;{ \\&quot;alice\\&quot;: { \\&quot;bob\\&quot; : [{\\&quot;$\\&quot;: \\&quot;charlie\\&quot; }, {\\&quot;$\\&quot;: \\&quot;david\\&quot; }] } }&quot;\n\n  // Attributes are labelled with an @\n  let input = &quot;&lt;alice charlie=\\&quot;david\\&quot;&gt;bob&lt;/alice&gt;&quot;\n  let json = xmljson.to_json(input)\n  // &quot;{ \\&quot;alice\\&quot;: { \\&quot;$\\&quot; : \\&quot;bob\\&quot;, \\&quot;@charlie\\&quot; : \\&quot;david\\&quot; } }&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/xmljson&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"xmljson","title":"to_json","content":"pub fn to_json(input: String) -&gt; JsonValue\n Parse an XML string into a JSON object.\nSynonyms:\nxmljson.to_json\nxmljson to_json","url":"xmljson.html#to_json"},{"doc":"xmljson","title":"to_xml","content":"pub fn to_xml(input: JsonValue) -&gt; String\n Parse an JSON object into an xml string.\nSynonyms:\nxmljson.to_xml\nxmljson to_xml","url":"xmljson.html#to_xml"},{"doc":"xmljson","title":"to_xml_fragment","content":"pub fn to_xml_fragment(input: JsonValue) -&gt; String\n Parse an JSON object into an xml fragment.\nSynonyms:\nxmljson.to_xml_fragment\nxmljson to_xml_fragment","url":"xmljson.html#to_xml_fragment"},{"doc":"xmljson","title":"xmljson","content":"","url":"xmljson.html"}]);